Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class MutableCatalogItemImpl

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl

All Implemented Interfaces
  ConfigurableEntity, CatalogItem, MutableCatalogItem, Serializable

Direct Known Subclasses:
  MutableCategoryImpl, MutableProductItemImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public class MutableCatalogItemImpl

extends Object
implements MutableCatalogItem

This is the mutable implementation class for all mutable items contained by the Catalog. This class exposes data accessors and mutators for item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details: Dublin Core Element Set

See Also
  `MutableCatalogItem`, Serialized Form

Field Summary

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.CatalogItem
`LARGE_IMAGE_INDEX, LONG_DESCRIPTION_INDEX, MAX_DESCRIPTION, MAX_IMAGES, SHORT_DESCRIPTION_INDEX, SMALL_IMAGE_INDEX`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`void` | `addBusinessPolicy(String policyKey, BusinessPolicy businessPolicy)` Deprecated See BEA Commerce product offering
`void` | `addPropertyValue(String scopeName, String key, Object propertyValue)` Deprecated See BEA Commerce product offering
`void` | `addPropertyValueMapped(String scopeName, String propertyKey, String mappedKey, Object propertyValue)` Deprecated See BEA Commerce product offering
`protected void` | `clearPropertyModifications()` Deprecated See BEA Commerce product offering
`BusinessPolicy` | `getBusinessPolicy(String policyKey)` Deprecated See BEA Commerce product offering
`String` | `getContributor()` Deprecated See BEA Commerce product offering
`String` | `getCoverage()` Deprecated See BEA Commerce product offering
`Date` | `getCreationDate()` Deprecated See BEA Commerce product offering
`String` | `getCreator()` Deprecated See BEA Commerce product offering
`String` | `getDescription(int index)` Deprecated See BEA Commerce product offering
`ImageInfo` | `getImage(int index)` Deprecated See BEA Commerce product offering
`String` | `getJndiName()` Deprecated See BEA Commerce product offering
`CatalogItemKey` | `getKey()` Deprecated See BEA Commerce product offering
`String` | `getLanguage()` Deprecated See BEA Commerce product offering
`protected Map` | `getModificationMap()` Deprecated See BEA Commerce product offering
`Date` | `getModifiedDate()` Deprecated See BEA Commerce product offering
`String` | `getName()` Deprecated See BEA Commerce product offering
`String` | `getPkString()` Deprecated See BEA Commerce product offering
`Map` | `getProperties()` Deprecated See BEA Commerce product offering
`Map` | `getProperties(String scopeName)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(String key, Object defaultValue)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(String propertySet, String propertyName)` Deprecated See BEA Commerce product offering
`Object` | `getProperty(String scopeName, String key, ConfigurableEntity successor, Object defaultValue)` Deprecated See BEA Commerce product offering
`String` | `getPropertyAsString(String propertySet, String propertyName)` Deprecated See BEA Commerce product offering
`String` | `getPropertyAsString(String scopeName, String key, ConfigurableEntity successor, String defaultValue)` Deprecated See BEA Commerce product offering
`Object` | `getPropertyDefault(String scopeName, String key, ConfigurableEntity successor)` Deprecated See BEA Commerce product offering
`Object` | `getPropertyNoDefault(String propertySet, String propertyName)` Deprecated See BEA Commerce product offering
`Object` | `getPropertyNoDefault(String scopeName, String key, ConfigurableEntity successor)` Deprecated See BEA Commerce product offering
`String` | `getPublisher()` Deprecated See BEA Commerce product offering
`String` | `getRelation()` Deprecated See BEA Commerce product offering
`String` | `getRights()` Deprecated See BEA Commerce product offering
`String` | `getSource()` Deprecated See BEA Commerce product offering
`ConfigurableEntity` | `getSuccessor(String scopeName)` Deprecated See BEA Commerce product offering
`long` | `getUniqueId()` Deprecated See BEA Commerce product offering
`protected void` | `initPropertyModifications()` Deprecated See BEA Commerce product offering
`protected boolean` | `isPropertyExplicit(String fieldName)` Deprecated See BEA Commerce product offering
`protected boolean` | `isPropertyModified(String fieldName)` Deprecated See BEA Commerce product offering
`protected void` | `modifyProperty(String fieldName, Object value)` Deprecated See BEA Commerce product offering
`BusinessPolicy` | `removeBusinessPolicy(String policyKey)` Deprecated See BEA Commerce product offering
`void` | `removeProperties()` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(String key)` Deprecated See BEA Commerce product offering
`Object` | `removeProperty(String propertySet, String propertyName)` Deprecated See BEA Commerce product offering
`Object` | `removePropertyValue(String scopeName, String key, Object propertyValue)` Deprecated See BEA Commerce product offering
`Object` | `removePropertyValueMapped(String scopeName, String propertyKey, String mappedKey)` Deprecated See BEA Commerce product offering
`ConfigurableEntity` | `removeSuccessor(String scopeName)` Deprecated See BEA Commerce product offering
`void` | `setContributor(String contributor)` Deprecated See BEA Commerce product offering
`void` | `setCoverage(String coverage)` Deprecated See BEA Commerce product offering
`void` | `setCreationDate(Date date)` Deprecated See BEA Commerce product offering
`void` | `setCreator(String creator)` Deprecated See BEA Commerce product offering
`void` | `setDescription(int index, String description)` Deprecated See BEA Commerce product offering
`void` | `setImage(int index, ImageInfo imageInfo)` Deprecated See BEA Commerce product offering
`void` | `setLanguage(String language)` Deprecated See BEA Commerce product offering
`void` | `setModifiedDate(Date date)` Deprecated See BEA Commerce product offering
`void` | `setName(String name)` Deprecated See BEA Commerce product offering
`void` | `setProperty(String key, Object value)` Deprecated See BEA Commerce product offering
`void` | `setProperty(String propertySet, String propertyName, Object value)` Deprecated See BEA Commerce product offering
`void` | `setPublisher(String publisher)` Deprecated See BEA Commerce product offering
`void` | `setRelation(String relation)` Deprecated See BEA Commerce product offering
`void` | `setRights(String rights)` Deprecated See BEA Commerce product offering
`void` | `setSource(String source)` Deprecated See BEA Commerce product offering
`void` | `setSuccessor(String scopeName, ConfigurableEntity successor)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getKey

    public CatalogItemKey getKey()

  Deprecated See BEA Commerce product offering

  Get the primary key for this catalog item

  Specified by:
    `getKey` in interface `CatalogItem`
  Returns
    the primary key for the item
  See Also
    `CatalogItemKey`

### getName

    public String getName()

  Deprecated See BEA Commerce product offering

  Get the name for this catalog item

  Specified by:
    `getName` in interface `CatalogItem`
  Returns
    the name for the item

### setName

    public void setName(String name)

  Deprecated See BEA Commerce product offering

  Set the name for this catalog item

  Specified by:
    `setName` in interface `MutableCatalogItem`
  Parameters
    `the` - new name for the item

### getDescription

    public String getDescription(int index)

  Deprecated See BEA Commerce product offering

  Get the description for this catalog item

  Specified by:
    `getDescription` in interface `CatalogItem`
  Parameters
    `index` - the description to retrive, either CatalogItem.SHORT_DESCRIPTION_INDEX or CatalogItem.LONG_DESCRIPTION_INDEX
  Returns
    the description for the item

### setDescription

    public void setDescription(int index,
                               String description)

  Deprecated See BEA Commerce product offering

  Set the description for this catalog item

  Specified by:
    `setDescription` in interface `MutableCatalogItem`
  Parameters
    `index` - the description to set, either CatalogItem.SHORT_DESCRIPTION_INDEX or CatalogItem.LONG_DESCRIPTION_INDEX
    `description` - the new description for the item

### getCreator

    public String getCreator()

  Deprecated See BEA Commerce product offering

  Get the creator for this catalog item

  Specified by:
    `getCreator` in interface `CatalogItem`
  Returns
    the creator for the item

### setCreator

    public void setCreator(String creator)

  Deprecated See BEA Commerce product offering

  Set the creator for this catalog item

  Specified by:
    `setCreator` in interface `MutableCatalogItem`
  Parameters
    `creator` - the new creator for the item

### getPublisher

    public String getPublisher()

  Deprecated See BEA Commerce product offering

  Get the publisher for this catalog item

  Specified by:
    `getPublisher` in interface `CatalogItem`
  Returns
    the publisher for the item

### setPublisher

    public void setPublisher(String publisher)

  Deprecated See BEA Commerce product offering

  Set the publisher for this catalog item

  Specified by:
    `setPublisher` in interface `MutableCatalogItem`
  Parameters
    `publisher` - the new publisher for the item

### getContributor

    public String getContributor()

  Deprecated See BEA Commerce product offering

  Get the contributor for this catalog item

  Specified by:
    `getContributor` in interface `CatalogItem`
  Returns
    the new contributor for the item

### setContributor

    public void setContributor(String contributor)

  Deprecated See BEA Commerce product offering

  Set the contributor for this catalog item

  Specified by:
    `setContributor` in interface `MutableCatalogItem`
  Parameters
    `contributor` - the new contributor for the item

### getCreationDate

    public Date getCreationDate()

  Deprecated See BEA Commerce product offering

  Get the creation date for this catalog item

  Specified by:
    `getCreationDate` in interface `CatalogItem`
  Returns
    the creation date for the item

### setCreationDate

    public void setCreationDate(Date date)

  Deprecated See BEA Commerce product offering

  Set the creation date for this catalog item

  Specified by:
    `setCreationDate` in interface `MutableCatalogItem`
  Parameters
    `date` - the new creation date for the item

### getSource

    public String getSource()

  Deprecated See BEA Commerce product offering

  Get the source for this catalog item

  Specified by:
    `getSource` in interface `CatalogItem`
  Returns
    the source for the item

### setSource

    public void setSource(String source)

  Deprecated See BEA Commerce product offering

  Set the source for this catalog item

  Specified by:
    `setSource` in interface `MutableCatalogItem`
  Parameters
    `source` - the new source for the item

### getLanguage

    public String getLanguage()

  Deprecated See BEA Commerce product offering

  Get the language for this catalog item

  Specified by:
    `getLanguage` in interface `CatalogItem`
  Returns
    the language for the item

### setLanguage

    public void setLanguage(String language)

  Deprecated See BEA Commerce product offering

  Set the language for this catalog item

  Specified by:
    `setLanguage` in interface `MutableCatalogItem`
  Parameters
    `language` - the new language for the item

### getRelation

    public String getRelation()

  Deprecated See BEA Commerce product offering

  Get the relation for this catalog item

  Specified by:
    `getRelation` in interface `CatalogItem`
  Returns
    the relation for the item

### setRelation

    public void setRelation(String relation)

  Deprecated See BEA Commerce product offering

  Set the relation for this catalog item

  Specified by:
    `setRelation` in interface `MutableCatalogItem`
  Parameters
    `relation` - the new relation for the item

### getCoverage

    public String getCoverage()

  Deprecated See BEA Commerce product offering

  Get the coverage for this catalog item

  Specified by:
    `getCoverage` in interface `CatalogItem`
  Returns
    the coverage for the item

### setCoverage

    public void setCoverage(String coverage)

  Deprecated See BEA Commerce product offering

  Set the coverage for this catalog item

  Specified by:
    `setCoverage` in interface `MutableCatalogItem`
  Parameters
    `coverage` - the new coverage for the item

### getRights

    public String getRights()

  Deprecated See BEA Commerce product offering

  Get the rights for this catalog item

  Specified by:
    `getRights` in interface `CatalogItem`
  Returns
    the rights for the item

### setRights

    public void setRights(String rights)

  Deprecated See BEA Commerce product offering

  Set the rights for this catalog item

  Specified by:
    `setRights` in interface `MutableCatalogItem`
  Parameters
    `rights` - the new rights for the item

### getImage

    public ImageInfo getImage(int index)

  Deprecated See BEA Commerce product offering

  Get an Image for this catalog item

  Specified by:
    `getImage` in interface `CatalogItem`
  Parameters
    `index` - the image to retrive, either SMALL_IMAGE_INDEX or LARGE_IMAGE_INDEX
  Returns
    an ImageInfo object for the image

### setImage

    public void setImage(int index,
                         ImageInfo imageInfo)

  Deprecated See BEA Commerce product offering

  Set an Image for this catalog item

  Specified by:
    `setImage` in interface `MutableCatalogItem`
  Parameters
    `index` - the image to set, either SMALL_IMAGE_INDEX or LARGE_IMAGE_INDEX
    `an` - ImageInfo object for the image

### getModifiedDate

    public Date getModifiedDate()

  Deprecated See BEA Commerce product offering

  Get the modified date for this catalog item

  Specified by:
    `getModifiedDate` in interface `CatalogItem`
  Returns
    the modified date for the item

### setModifiedDate

    public void setModifiedDate(Date date)

  Deprecated See BEA Commerce product offering

  Set the modified date for this catalog item

  Specified by:
    `setModifiedDate` in interface `MutableCatalogItem`
  Parameters
    `the` - new modified date for the item

### addPropertyValue

    public void addPropertyValue(String scopeName,
                                 String key,
                                 Object propertyValue)
                          throws SystemException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Add the specified property value to the collection of values associated with the named key for the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name to associate the collection of values with.
    `propertyValue` - The value to associate with the key and scope.
  Throws
    `SystemException`
    `RemoteException`

### addPropertyValueMapped

    public void addPropertyValueMapped(String scopeName,
                                       String propertyKey,
                                       String mappedKey,
                                       Object propertyValue)
                                throws SystemException,
                                       RemoteException

  Deprecated See BEA Commerce product offering

  Add the specified property value to the map object associated with the named key for the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `propertykey` - The name to associate the map object with.
    `mappedkey` - The map key to associate the value in the map.
    `propertyValue` - The value put in the map for the map key.
  Throws
    `SystemException`
    `RemoteException`

### getProperty

    public Object getProperty(String key,
                              Object defaultValue)
                       throws SystemException,
                              RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key in the default scope. If the entity does not have the property defined, the property will be searched in the successor hiearchy for the default scope. If the property could not be found in the successor chain, a lookup for the default value defined for the PropertyMetaData in the Schema is returned. The Schema is retrieved using the SchemaGroupName environment property defined for the bean. If the property meta data is not available (or there is no Schema defined) then the specified default value is returned.

  Parameters
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set and there is not default value found in the Schema.
  Throws
    `SystemException`
    `RemoteException`

### getProperty

    public Object getProperty(String scopeName,
                              String key,
                              ConfigurableEntity successor,
                              Object defaultValue)
                       throws SystemException,
                              RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key in the specified scope. If the entity does not have the property defined for the specified scope, the property will be searched in the successor hiearchy using the explicit successor first and then the successor for the specified scope. If the could not be found in the successors hiearchy, a lookup for default value defined for the PropertyMetaData in the Schema is returned. The Schema is retrieved using the SchemaGroupName environment property defined for the bean. If the property meta data is not available (or there is no Schema defined) then the specified default value is returned.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `SystemException`
    `RemoteException`

### getProperties

    public Map getProperties(String scopeName)
                      throws SystemException,
                             RemoteException

  Deprecated See BEA Commerce product offering

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `SystemException`
    `RemoteException`

### getProperties

    public Map getProperties()
                      throws SystemException,
                             RemoteException

  Deprecated See BEA Commerce product offering

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `SystemException`
    `RemoteException`

### getPropertyAsString

    public String getPropertyAsString(String scopeName,
                                      String key,
                                      ConfigurableEntity successor,
                                      String defaultValue)
                               throws SystemException,
                                      RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the String value of the property associated the named key in the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
    `defaultValue` - The String to return if that property is not set.
  Throws
    `SystemException`
    `RemoteException`
  See Also
    `ConfigurableEntity.getProperty(java.lang.String, java.lang.String)`

### getPropertyDefault

    public Object getPropertyDefault(String scopeName,
                                     String key,
                                     ConfigurableEntity successor)
                              throws SystemException,
                                     RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the default value from the Schema for the named key and the specified scope. This method is used by the implementation of the getProperty methods for retrieving the default value for a property from the successor hierarchy.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
  Throws
    `SystemException`
    `RemoteException`

### getPropertyNoDefault

    public Object getPropertyNoDefault(String scopeName,
                                       String key,
                                       ConfigurableEntity successor)
                                throws SystemException,
                                       RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key in the specified scope but does not return a default value if the property does not exist for the entity of in the hierarchy of successors. This method is used by the implementation of the getProperty methods so that the search in the successor hierarchy does not return a default value from the Schema.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to retrieve.
    `successor` - The explicit successor to use for sucessor hiearchy search if the entity does not have the property defined.
  Throws
    `SystemException`
    `RemoteException`

### getSuccessor

    public ConfigurableEntity getSuccessor(String scopeName)
                                    throws SystemException,
                                           RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the successor associated with this ConfigurableEntity for the specified scope.

  Parameters
    `scopeName` - The name of the scope.
  Throws
    `SystemException`
    `RemoteException`

### removeProperty

    public Object removeProperty(String key)
                          throws SystemException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property associated with the named key in the default scope.

  Parameters
    `key` - The name of the property to remove.
  Throws
    `SystemException`
    `RemoteException`

### removeProperties

    public void removeProperties()
                          throws SystemException,
                                 RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property associated with the named key in the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property to remove.
  Throws
    `SystemException`
    `RemoteException`

### removePropertyValue

    public Object removePropertyValue(String scopeName,
                                      String key,
                                      Object propertyValue)
                               throws SystemException,
                                      RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property value object from the collection associated with the named key in the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `key` - The name of the property that is associated with the collection of values.
    `propertyValue` - The object to remove from the collection.
  Throws
    `SystemException`
    `RemoteException`

### removePropertyValueMapped

    public Object removePropertyValueMapped(String scopeName,
                                            String propertyKey,
                                            String mappedKey)
                                     throws SystemException,
                                            RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property value object from the map associated with the named key in the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `propertykey` - The name of the property that is associated with the map.
    `propertyValue` - The map key of the object to remove from the map.
  Throws
    `SystemException`
    `RemoteException`

### removeSuccessor

    public ConfigurableEntity removeSuccessor(String scopeName)
                                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Remove the successor for the specified scope.

  Parameters
    `scopeName` - The name of the scope.
  Throws
    `RemoteException`

### setProperty

    public void setProperty(String key,
                            Object value)
                     throws SystemException,
                            RemoteException

  Deprecated See BEA Commerce product offering

  Associate the specified value with the named key in the default scope.

  Parameters
    `name` - The name to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `SystemException`
    `RemoteException`

### setSuccessor

    public void setSuccessor(String scopeName,
                             ConfigurableEntity successor)
                      throws SystemException,
                             RemoteException

  Deprecated See BEA Commerce product offering

  Set the successor for the specified scope.

  Parameters
    `scopeName` - The name of the scope.
    `successor` - The scope-level successor used during the search of a property.
  Throws
    `SystemException`
    `RemoteException`

### addBusinessPolicy

    public void addBusinessPolicy(String policyKey,
                                  BusinessPolicy businessPolicy)
                           throws SystemException,
                                  RemoteException

  Deprecated See BEA Commerce product offering

  Add a new business policy to the object with the specified key

  Throws
    `SystemException`
    `RemoteException`

### getBusinessPolicy

    public BusinessPolicy getBusinessPolicy(String policyKey)
                                     throws SystemException,
                                            RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the business policy with the specified key.

  Throws
    `SystemException`
    `RemoteException`

### removeBusinessPolicy

    public BusinessPolicy removeBusinessPolicy(String policyKey)
                                        throws SystemException,
                                               RemoteException

  Deprecated See BEA Commerce product offering

  Remove the business policy with the specified key.

  Throws
    `SystemException`
    `RemoteException`

### getProperty

    public Object getProperty(String propertySet,
                              String propertyName)
                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value that was persisted for this entity for the given property, within the given property set. If the entity does not have a value persisted for this property, the default value from the property set will be returned.

  Specified by:
    `getProperty` in interface `ConfigurableEntity`
  Parameters
    `propertySet` - The name of the property set to look in
    `propertyName` - The name of the property to retrieve.
  Returns
    the value for this property, or null if all searches failed
  Throws
    `RemoteException`

### getPropertyAsString

    public String getPropertyAsString(String propertySet,
                                      String propertyName)
                               throws RemoteException

  Deprecated See BEA Commerce product offering

  Convenience method to return a property as a String.

  Specified by:
    `getPropertyAsString` in interface `ConfigurableEntity`
  Parameters
    `propertySet` - The name of the property set to look in
    `propertyName` - The name of the property to retrieve.
  Returns
    the value for this property as a String, or null if all searches failed
  Throws
    `RemoteException`

### getPropertyNoDefault

    public Object getPropertyNoDefault(String propertySet,
                                       String propertyName)
                                throws RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the value associated with the named key in the specified property set, but does not return a default value from the property's PropertyDefinition if a value was not persisted for this entity. This method is used by the implementation of the getProperty methods so that the search in the successor hierarchy does not return a default value from the Schema.

  Specified by:
    `getPropertyNoDefault` in interface `ConfigurableEntity`
  Parameters
    `propertySet` - The name of the property set
    `propertyName` - The name of the property to retrieve.
  Returns
    the value for this property, or null if all searches failed
  Throws
    `RemoteException`

### setProperty

    public void setProperty(String propertySet,
                            String propertyName,
                            Object value)
                     throws PropertyValidationException,
                            RemoteException

  Deprecated See BEA Commerce product offering

  Associate the specified value with the named key in the specified property set.

  Specified by:
    `setProperty` in interface `ConfigurableEntity`
  Parameters
    `propertySet` - The name of the property set.
    `propertyName` - The name of the property to assign
    `value` - The value to associate with the property name
  Throws
    `PropertyValidationException` - If the property value does not match the PropertyDefinition for this property set
    `RemoteException`

### removeProperty

    public Object removeProperty(String propertySet,
                                 String propertyName)
                          throws RemoteException

  Deprecated See BEA Commerce product offering

  Remove the property associated with the named key in the specified property set.

  NOTE: if an explicit setter method is found for this property, this method will set the value to null.

  Specified by:
    `removeProperty` in interface `ConfigurableEntity`
  Parameters
    `propertySet` - The name of the property set.
    `propertyName` - The name of the property to remove.
  Returns
    the old value of the property, or null if there was none.
  Throws
    `RemoteException`

### getUniqueId

    public long getUniqueId()
                     throws RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the unique identifier generated for this ConfigurableEntity. The unique identifier is used by the EntityPropertyManager to optimize the foreign keys in the persistent storage. This method may not be implemented in a lightweight implementation of ConfigurableEntity.

  Specified by:
    `getUniqueId` in interface `ConfigurableEntity`
  Returns
    this entity's unique id
  Throws
    `RemoteException`

### getPkString

    public String getPkString()
                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the pk string for an entity. A combination of pk string and jndi name is always unique between entities.

  Specified by:
    `getPkString` in interface `ConfigurableEntity`
  Returns
    the primary key string identifier for this entity
  Throws
    `RemoteException`

### getJndiName

    public String getJndiName()
                       throws RemoteException

  Deprecated See BEA Commerce product offering

  Retrieve the jndi name for an entity. A combination of pk string and jndi name is always unique between entities.

  Specified by:
    `getJndiName` in interface `ConfigurableEntity`
  Returns
    the jndi name for this entity
  Throws
    `RemoteException`

### clearPropertyModifications

    protected void clearPropertyModifications()

  Deprecated See BEA Commerce product offering

  Clears any changes to attributes that have been tracked for this object. This is an advanced method.

### getModificationMap

    protected Map getModificationMap()

  Deprecated See BEA Commerce product offering

  Returns the Map that can be used to query the changes made to attributes in this object. The Map contains the names of the attributes that were modifed (keys) and the values for each modified attribute (values). This is an advanced method and is untested.

### isPropertyModified

    protected boolean isPropertyModified(String fieldName)

  Deprecated See BEA Commerce product offering

  Returns
    true if the named attribute has been modified since this object was created or clearPropertyModifications was called. This is an advanced method.

### isPropertyExplicit

    protected boolean isPropertyExplicit(String fieldName)

  Deprecated See BEA Commerce product offering

  Returns
    true if the named attribute is an explicit property. This is an advanced method.

### initPropertyModifications

    protected void initPropertyModifications()

  Deprecated See BEA Commerce product offering

  Initialize change tracking. This is an advanced method.

### modifyProperty

    protected void modifyProperty(String fieldName,
                                  Object value)

  Deprecated See BEA Commerce product offering

  Mark an attribute as modified. This is an advanced method.

  Parameters
    `fieldName` - the name of the attrbute
    `value` - the new value for the attribute

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Builds a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns
    the string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved